import { RunAdjacencyAttributes, RunAttributes } from '@jfrog-pipelines/types';
import { CrudRepository, Run, RunAdjacency } from '@jfrog-pipelines/data-access-layer';
export declare class RunDao extends CrudRepository<Run, RunAttributes> {
    constructor();
    getWaitingRunsForPipelineId(runIds: RunAttributes['id'][]): Promise<RunAttributes[]>;
}
export declare class RunAdjacencyDao extends CrudRepository<RunAdjacency, RunAdjacencyAttributes> {
    constructor();
}
