import { Context, Worker } from '@jfrog-pipelines/microservice';
import { ServiceMetaType } from '@jfrog-pipelines/utility';
export declare type RunWorkerPayload = {
    resourceVersionIds?: number[];
    pipelineStepIds?: number[];
    pipelineStepId?: number;
    jFrogPipelinesSessionId?: string;
};
export declare class RunWorker implements Worker {
    private readonly details;
    private readonly store;
    private readonly logger;
    constructor(details: ServiceMetaType, store: Context);
    process(message: {
        [key: string]: unknown;
    }): Promise<void>;
    private validate;
    private parseTypeFromPayload;
    private parseIdsFromPayload;
}
