"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepDataAdapterFactory = void 0;
const dependencyInjection_1 = require("../commons/dependencyInjection");
const ApiStepDataAdaptor_1 = require("./ApiStepDataAdaptor");
class StepDataAdapterFactory {
    static create(type = dependencyInjection_1.AclAdapterDI.api) {
        if (type === dependencyInjection_1.AclAdapterDI.api) {
            return new ApiStepDataAdaptor_1.ApiStepDataAdaptor();
        }
        throw new Error('Invalid Type provided');
    }
}
exports.StepDataAdapterFactory = StepDataAdapterFactory;
//# sourceMappingURL=StepDataAdapterFactory.js.map