import { PipelineAttributes, RunAttributes, RunResourceVersionAttributes, RunStepConnectionAttributes, StepAttributes, StepletAttributes } from '@jfrog-pipelines/types';
import { Dictionary } from '@jfrog-pipelines/utility';
import { Chronological } from './chronological/Chronological';
import { DataLoader } from './dataLoader/DataLoader';
import { DependencyNode } from './DependencyGraph';
import { DependencyMode } from './dependencyMode/DependencyMode';
import { InputStep } from './inputStep/InputStep';
export declare class AssemblerFactory {
    static getAssemblers(run: RunAttributes, pipeline: PipelineAttributes, steps: StepAttributes[], steplets: StepletAttributes[], runResourceVersions: RunResourceVersionAttributes[], runStepConnections: RunStepConnectionAttributes[], dataLoader: DataLoader): Promise<[InputStep, DependencyMode, Chronological, Dictionary<DependencyNode>]>;
}
