import { DependentEntityType, RunAdjacencyAttributes, StepAttributes, StepletAttributes } from '@jfrog-pipelines/types';
import { Dictionary } from '@jfrog-pipelines/utility';
import { DependencyNode } from './DependencyGraph';
export declare function createRunAdjacencyRecords(baseRunAdjacencyObject: Partial<RunAdjacencyAttributes>, step: StepAttributes, steplets: StepletAttributes[], dependentEntity: {
    dependentEntityId: number;
    dependentEntityType: DependentEntityType;
}): Partial<RunAdjacencyAttributes>[];
export declare function getInputStepMap(dependendencyNodes: Dictionary<DependencyNode>): {
    [key: number]: number[];
};
