"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RunAdjacencyContext_1 = require("../RunAdjacencyContext");
jest.mock('@jfrog-pipelines/logger', () => {
    return {
        ...jest.requireActual('@jfrog-pipelines/logger'),
        LoggerFactory: {
            getLogger: jest.fn().mockReturnValue({
                info: jest.fn(),
                error: jest.fn(),
                debug: jest.fn(),
                trace: jest.fn(),
                warn: jest.fn()
            }),
            configure: jest.fn()
        }
    };
});
describe('RunAdjacencyContext test cases', () => {
    const context = new RunAdjacencyContext_1.RunAdjacencyContext({ runId: 1 });
    it('should be defined', () => {
        expect(context).toBeDefined();
    });
    it('should add records', () => {
        context.addRecords([{ dependentEntityId: 1, dependentEntityType: 0 }]);
        expect(context.getValue()).toHaveLength(1);
    });
});
//# sourceMappingURL=RunAdjacencyContext.test.js.map