"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractHandler = void 0;
class AbstractHandler {
    constructor() {
        this.nextHandler = null;
    }
    handle(context) {
        if (this.nextHandler) {
            this.nextHandler.handle(context);
        }
    }
    setNext(handler) {
        this.nextHandler = handler;
        return handler;
    }
}
exports.AbstractHandler = AbstractHandler;
//# sourceMappingURL=AbstractHandler.js.map