import { StepAttributes } from '@jfrog-pipelines/types';
import { AbstractHandler } from '../chain/AbstractHandler';
import { Chronological } from '../chronological/Chronological';
import { InputStep } from '../inputStep/InputStep';
import { RunAdjacencyContext } from '../RunAdjacencyContext';
export declare class ChronologicalComputerChain extends AbstractHandler {
    private readonly step;
    private readonly chronological;
    private readonly firstSteps;
    constructor(step: InputStep, chronological: Chronological, firstSteps: StepAttributes[]);
    handle(context: RunAdjacencyContext): void;
}
