import { RunAdjacencyContext } from '../RunAdjacencyContext';
import { InputStep } from '../inputStep/InputStep';
import { AbstractHandler } from '../chain/AbstractHandler';
import { Chronological } from './Chronological';
export declare class ChronologicalStepHandler extends AbstractHandler {
    private readonly step;
    private readonly chronological;
    private readonly logger;
    constructor(step: InputStep, chronological: Chronological);
    handle(context: RunAdjacencyContext): void;
    private compute;
}
