"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataLoaderFactory = void 0;
const internal_clients_1 = require("@jfrog-pipelines/internal-clients");
const ApiDataLoader_1 = require("./ApiDataLoader");
class DataLoaderFactory {
    static getDataLoaderWithPipelinesClient(apiToken) {
        const pipelinesClient = new internal_clients_1.PipelinesClient(5, apiToken);
        return new ApiDataLoader_1.ApiDataLoader(pipelinesClient);
    }
}
exports.DataLoaderFactory = DataLoaderFactory;
//# sourceMappingURL=DataLoaderFactory.js.map