import { StepAttributes } from '@jfrog-pipelines/types';
import { RunAdjacencyContext } from '../RunAdjacencyContext';
import { InputStep } from '../inputStep/InputStep';
import { AbstractHandler } from '../chain/AbstractHandler';
import { DependencyMode } from './DependencyMode';
export declare class WaitOnChildCompleteDependencyModeHandler extends AbstractHandler {
    private readonly step;
    private readonly dependencyMode;
    private readonly firstSteps;
    constructor(step: InputStep, dependencyMode: DependencyMode, firstSteps: StepAttributes[]);
    handle(context: RunAdjacencyContext): void;
    private compute;
}
