import { RunResourceVersionAttributes, RunStepConnectionAttributes, StepAttributes, StepletAttributes } from '@jfrog-pipelines/types';
import { Assembler } from '../Assembler';
import { InputStep } from './InputStep';
export declare class InputStepAssembler implements Assembler<InputStep> {
    private readonly steps;
    private readonly steplets;
    readonly runResourceVersions: RunResourceVersionAttributes[];
    readonly runStepConnections: RunStepConnectionAttributes[];
    private readonly logger;
    constructor(steps: StepAttributes[], steplets: StepletAttributes[], runResourceVersions: RunResourceVersionAttributes[], runStepConnections: RunStepConnectionAttributes[]);
    populate(): InputStep;
}
