import { PipelineAttributes, PipelineObjectAttributes, PipelineSourceAttributes, RunAttributes } from '@jfrog-pipelines/types';
declare type CreateInfoJsonPayload = {
    run: RunAttributes;
    pipeline: PipelineAttributes;
    pipelineSource: PipelineSourceAttributes;
    jFrogPipelinesSessionId: string;
};
export declare class CreateInfoJson {
    private readonly run;
    private readonly pipeline;
    private readonly pipelineSource;
    private readonly jFrogPipelinesSessionId;
    private readonly syncRespository;
    constructor(payload: CreateInfoJsonPayload);
    createPipeInfo(): Promise<PipelineObjectAttributes>;
    private validate;
    private createInfoJson;
}
export {};
