import { StepAttributes } from '@jfrog-pipelines/types';
import { StepDataAdaptor } from './StepDataAdaptor';
export declare class ApiStepDataAdaptor implements StepDataAdaptor {
    private readonly client;
    private readonly properties;
    private readonly batchSize;
    constructor();
    getStepByStepIds(stepIds: number[]): Promise<StepAttributes[]>;
    getWaitingStepsByPipelineIds(pipelineStepIds: StepAttributes['pipelineStepId'][]): Promise<StepAttributes[]>;
}
