"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SyncDataAdapterFactory = void 0;
const dependencyInjection_1 = require("../commons/dependencyInjection");
const ApiSyncDataAdaptor_1 = require("./ApiSyncDataAdaptor");
class SyncDataAdapterFactory {
    static create(type = dependencyInjection_1.AclAdapterDI.api) {
        if (type === dependencyInjection_1.AclAdapterDI.api) {
            return new ApiSyncDataAdaptor_1.ApiSyncDataAdaptor();
        }
        throw new Error('Invalid Type provided');
    }
}
exports.SyncDataAdapterFactory = SyncDataAdapterFactory;
//# sourceMappingURL=SyncDataAdapterFactory.js.map