import { Command } from '@jfrog-pipelines/microservice';
export declare const PIPELINE_STEP_IDS = "pipelineStepIds";
export declare const RESOURCE_VERSION_IDS = "resourceVersionIds";
export declare class CreateRunCommand implements Command {
    private readonly type;
    private readonly id;
    constructor(type: string, id: number[]);
    isPipelineStep(): boolean;
    isResourceVersion(): boolean;
    getIds(): number[];
    getType(): string;
}
