"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateRunCommand = exports.RESOURCE_VERSION_IDS = exports.PIPELINE_STEP_IDS = void 0;
exports.PIPELINE_STEP_IDS = 'pipelineStepIds';
exports.RESOURCE_VERSION_IDS = 'resourceVersionIds';
class CreateRunCommand {
    constructor(type, id) {
        this.type = type;
        this.id = id;
    }
    isPipelineStep() {
        return this.type === exports.PIPELINE_STEP_IDS;
    }
    isResourceVersion() {
        return this.type === exports.RESOURCE_VERSION_IDS;
    }
    getIds() {
        return this.id;
    }
    getType() {
        return this.type;
    }
}
exports.CreateRunCommand = CreateRunCommand;
//# sourceMappingURL=CreateRunCommand.js.map