import { RunAdjacencyAttributes } from '@jfrog-pipelines/types';
import { Dictionary } from '@jfrog-pipelines/utility';
import { Chronological } from './chronological/Chronological';
import { DependencyNode } from './DependencyGraph';
import { DependencyMode } from './dependencyMode/DependencyMode';
import { InputStep } from './inputStep/InputStep';
export declare class RunAdjacencyComputerChain {
    private readonly dependendencyNodes;
    private readonly step;
    private readonly chronological;
    private readonly dependencyMode;
    private readonly logger;
    constructor(dependendencyNodes: Dictionary<DependencyNode>, step: InputStep, chronological: Chronological, dependencyMode: DependencyMode);
    compute(): Partial<RunAdjacencyAttributes>[];
}
