"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AbstractHandler_1 = require("../AbstractHandler");
class DummyHandler extends AbstractHandler_1.AbstractHandler {
}
class DummyNextHandler extends AbstractHandler_1.AbstractHandler {
}
describe('Abstract handler test cases', () => {
    let handler = null;
    const nextHandler = new DummyNextHandler();
    it('should create handler', () => {
        handler = new DummyHandler();
        expect(handler).toBeDefined();
    });
    it('should set nextHandler', () => {
        handler?.setNext(nextHandler);
        expect(nextHandler).toBeDefined();
    });
    it('should call handle', () => {
        const nextHandleSpy = jest.spyOn(nextHandler, 'handle');
        handler?.handle({});
        expect(nextHandleSpy).toHaveBeenCalledTimes(1);
    });
});
//# sourceMappingURL=AbstractHandler.test.js.map