import { StepAttributes } from '@jfrog-pipelines/types';
import { RunAdjacencyContext } from '../RunAdjacencyContext';
import { AbstractHandler } from '../chain/AbstractHandler';
import { InputStep } from '../inputStep/InputStep';
import { Chronological } from './Chronological';
export declare class ChronologicalRunHandler extends AbstractHandler {
    private readonly inputStep;
    private readonly chronological;
    private readonly firstSteps;
    private readonly logger;
    constructor(inputStep: InputStep, chronological: Chronological, firstSteps: StepAttributes[]);
    handle(context: RunAdjacencyContext): void;
    private compute;
}
