import { PipelineAttributes, PipelineStepConnectionAttributes, RunAttributes, StepAttributes } from '@jfrog-pipelines/types';
export interface DataLoader {
    getPipelines(query: string): Promise<PipelineAttributes[]>;
    getPipelineStepConnections(query: string): Promise<PipelineStepConnectionAttributes[]>;
    getRuns(query: string): Promise<RunAttributes[]>;
    getChronologicalSteps(query: string): Promise<StepAttributes[]>;
}
