"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DataLoaderFactory_1 = require("../DataLoaderFactory");
jest.mock('@jfrog-pipelines/configuration', () => ({
    ConfigFactory: {
        config: {
            apiUrl: 'http://example.com',
            controlPlaneVersion: '1.23.6'
        }
    }
}));
describe('DataLoaderFactory', () => {
    it('should get getDataLoaderWithPipelinesClient', () => {
        const dataLoader = DataLoaderFactory_1.DataLoaderFactory.getDataLoaderWithPipelinesClient('token');
        expect(dataLoader).toBeDefined();
    });
});
//# sourceMappingURL=DataLoaderFactory.test.js.map