import { RunAdjacencyContext } from '../RunAdjacencyContext';
import { AbstractHandler } from '../chain/AbstractHandler';
import { InputStep } from './InputStep';
export declare const NULL_IDENTIFIER = -1;
export declare class InputStepHandler extends AbstractHandler {
    private readonly step;
    private readonly inputStepMap;
    private readonly logger;
    constructor(step: InputStep, inputStepMap: {
        [key: number]: number[] | undefined;
    });
    handle(context: RunAdjacencyContext): void;
    private compute;
    private getInputStepsByStepId;
    private createStepRecords;
    private createAffinityGroupRecords;
}
